> For the complete documentation index, see [llms.txt](https://brightwind.gitbook.io/brighthub-user-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://brightwind.gitbook.io/brighthub-user-docs/api-reference.md).

# API Reference

{% hint style="info" %}
Please note that we use the terms "Measurement Location" and "Measurement Station" interchangeably. While they may appear distinct, both refer to the same entity.
{% endhint %}

### 🔒 **API Key Authentication** <a href="#api-key-authentication" id="api-key-authentication"></a>

For programmatic or server-to-server access, BrightHub supports authentication using **API Keys**. You can create and manage your keys directly from your Account Settings, then use them to generate authentication tokens for API requests.

* Visit the [API Key Management](/brighthub-user-docs/api-reference/api-key-management.md) to learn how to create and manage your API Keys.
* Visit the [How to Use API Keys](https://brightwind.gitbook.io/brighthub-user-docs/api-reference/how-to-use-api-keys) to learn how to authenticate and access BrightHub APIs using your API Key.

***

### 📍 Measurement Location API

* &#x20;<mark style="background-color:green;">**GET**</mark>**&#x20;** [**All Measurement Locations**](/brighthub-user-docs/api-reference/measurement-location-api.md#get)\
  Returns all Measurement Locations that the logged-in user has access to.
* &#x20;<mark style="background-color:green;">**GET**</mark>**&#x20;** [**Start & End Dates**](/brighthub-user-docs/api-reference/measurement-location-api.md#get-id-start-end-dates)\
  Returns the earliest available start date and latest available end date for resource data (such as timeseries or sensor readings) for the specified Measurement Location.&#x20;
* &#x20;<mark style="background-color:green;">**GET**</mark> [**Data Model**](/brighthub-user-docs/api-reference/measurement-location-api.md#get-id-data-model)\
  Returns a JSON representation of the [IEA Wind Task 43 WRA Data Model](https://github.com/IEA-Task-43/digital_wra_data_standard) for the specified Measurement Location.
* &#x20;<mark style="background-color:green;">**GET**</mark> [ **Assembled Timeseries Data**](/brighthub-user-docs/api-reference/measurement-location-api.md#get-id-timeseries-data)\
  Returns a presigned URL to download the assembled timeseries data file for the specified Measurement Location. Applies optional filters and processing if requested.&#x20;
* &#x20;<mark style="background-color:green;">**GET**</mark>**&#x20;** [**Cleaning Log**](/brighthub-user-docs/api-reference/measurement-location-api.md#get-id-cleaning-log)\
  Returns a presigned URL to download the Cleaning Log for the specified Measurement Location. Supports standard CSV and Windographer XML formats.
* &#x20;<mark style="background-color:green;">**GET**</mark>**&#x20;** [**Cleaning Rules**](/brighthub-user-docs/api-reference/measurement-location-api.md#get-id-cleaning-rules)\
  Returns the Cleaning Rules for the specified Measurement Location. <br>

***

### 🌐 Reanalysis API

* <mark style="background-color:green;">**GET**</mark>**&#x20;** [**Reanalysis Nodes**](/brighthub-user-docs/api-reference/reanalysis-api.md#get-reanalysis_name-nodes)\
  Gets all nodes for the specified reanalysis source within the bounds of the the min and max latitudes and longitudes provided
* <mark style="background-color:green;">**GET**</mark>**&#x20;** [**Reanalysis Nodes Data**](/brighthub-user-docs/api-reference/reanalysis-api.md#get-reanalysis_name-nodes-latitude_ddeg-longitude_ddeg-data)\
  Get the timeseries data associated with a Reanalysis node


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://brightwind.gitbook.io/brighthub-user-docs/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
